/* eslint-disable react-refresh/only-export-components */
import { createFileRoute } from '@tanstack/react-router'
import { ScheduleEditPage } from '@/features/schedules'

export const Route = createFileRoute('/_authenticated/schedules/$scheduleId')({
  component: ScheduleEditRoute,
})

function ScheduleEditRoute() {
  const { scheduleId } = Route.useParams()
  return <ScheduleEditPage scheduleId={scheduleId} />
}
